Web lists-archives.com

Re: [Spca50x-devs] ubuntu 7.10 in amd64




Nazareno wrote:
> i cant install my webbcam: ID 0ac8:301b Z-Star Microelectronics Corp. 
> ZC0301 WebCam
> i can see it in the list of supported chips in the michels webb.
> my kernel is a 2.6.22-14. im working in a new version of ubuntu, gutsy 
> gibbon, in a 64bit architecture.
> i have installed the kernel headers/source: sudo apt-get install 
> linux-headers-`uname -r` linux-restricted-modules-`uname -r` build-essential
> i dowloaded the driver gspcav1-20071214 from michels site and move in 
> the directory when i untar the driver and logged as root, then i did a 
> ./gspca_build, but i have an error message:
> 
> root@losotro:/home/chuleymar/imagenes y cosas/gspcav1-20071214# 
> ./gspca_build
> 
>  REMOVE the old module if present
> 
>  CLEAN gspca source tree
> rm -r -f *.o decoder/.gspcadecoder.o.cmd decoder/*.o \
>         .gspca.o.cmd  *.o *.ko *.mod.* .[a-z]* core *.i \
>         *.symvers *.err
> 
>  COMPILE gspca Please Wait ....!!
> 
>  INSTALL gspca in the kernel binary tree
> mkdir -p /lib/modules/`uname -r`/kernel/drivers/usb/media/
> rm -f /lib/modules/`uname -r`/kernel/drivers/usb/media/spca5xx.ko
> rm -f /lib/modules/`uname -r`/kernel/drivers/media/video/gspca.ko
> install -c -m 0644 gspca.ko /lib/modules/`uname 
> -r`/kernel/drivers/usb/media/
> install: no se puede efectuar `stat' sobre `gspca.ko': No existe el 
> fichero ó directorio
> make: *** [install] Error 1
> 
>  LOAD gspca in memory
> 
>  PRINT COMPILATION MESSAGES if ERRORS look kgspca.err
> make -C /lib/modules/`uname -r`/build SUBDIRS=/home/chuleymar/imagenes y 
> cosas/gspcav1-20071214 CC=cc modules
> make[1]: se ingresa al directorio `/usr/src/linux-headers-2.6.22-14-generic'
> make[1]: *** No hay ninguna regla para construir el objetivo `y'.  Alto.
> make[1]: se sale del directorio `/usr/src/linux-headers-2.6.22-14-generic '
> make: *** [default] Error 2
> 
> 
> in the kgspca.err say the same. i have problem to build an `y' object..
> 
> can anyone help me, please?
> thanks

Works fine here on Ubuntu 7.10 AMD64. I tried with ./gspca_build and I get no 
error. But usually I do it with make.
Do:
sudo make clean
make
sudo make install

Maybe your source is somehow broken. Just download again an try with the new 
downloaded tarball.

Hope this helps,

Thomas


-- 
http://www.kaiser-linux.li

-------------------------------------------------------------------------
SF.Net email is sponsored by:
Check out the new SourceForge.net Marketplace.
It's the best place to buy or sell services
for just about anything Open Source.
http://ad.doubleclick.net/clk;164216239;13503038;w?http://sf.net/marketplace
_______________________________________________
Spca50x-devs mailing list
Spca50x-devs@xxxxxxxxxxxxxxxxxxxxx
https://lists.sourceforge.net/lists/listinfo/spca50x-devs